Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
bambora
/
{callback_reference}
aid_account_settings_connections_bambora_callback_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/bambora/{callback_reference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant_number": "P12345678",
  "md5_key": "ae45ase",
  "payment_options": [
    {
      "currencies": [
        "NOK"
      ],
      "type": "bambora.creditcard"
    }
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
callback_reference
string
required

Authorization header Bearer JWT payload sub

Body

application/json
merchant_number
string
required
Example:

"P12345678"

md5_key
string
required
Example:

"ae45ase"

payment_options
object[]
required

Payment options to enable for this connection

access_token
string
secret_token
string
token_scope
string

Response

Signup

The response is of type object.

Last modified on May 12, 2026